"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.UserGroups = void 0;
const tslib_1 = require("tslib");
const core_1 = require("@mikro-orm/core");
const index_1 = require("./index");
let UserGroups = class UserGroups {
    constructor() {
        this.users = new core_1.Collection(this);
    }
};
exports.UserGroups = UserGroups;
tslib_1.__decorate([
    (0, core_1.PrimaryKey)({
        autoincrement: true,
    }),
    tslib_1.__metadata("design:type", Number)
], UserGroups.prototype, "id", void 0);
tslib_1.__decorate([
    (0, core_1.Property)({
        type: 'string',
        length: 50,
        unique: true,
        columnType: 'varchar',
    }),
    tslib_1.__metadata("design:type", String)
], UserGroups.prototype, "label", void 0);
tslib_1.__decorate([
    (0, core_1.OneToMany)(() => index_1.Users, (item) => item.userGroup),
    tslib_1.__metadata("design:type", Object)
], UserGroups.prototype, "users", void 0);
exports.UserGroups = UserGroups = tslib_1.__decorate([
    (0, core_1.Entity)({
        tableName: 'user_groups',
    })
], UserGroups);
//# sourceMappingURL=user-groups.js.map