import { Collection, Type } from '@mikro-orm/core';
import { Roles, Comments, Notes, UserGroups, IAddresses } from './index';
export type IUsers = Users;
export declare class MyDateType extends Type<Date, string> {
}
export declare class Users {
    id: number;
    login: string;
    firstName: string;
    testReal: number[];
    testArrayNull: number[] | null;
    lastName: string;
    isActive: boolean;
    testDate: Date;
    createdAt: Date;
    updatedAt: Date;
    addresses: IAddresses;
    manager: IUsers;
    roles: Collection<Roles, object>;
    comments: Collection<Comments, object>;
    notes: Collection<Notes, object>;
    userGroup: UserGroups | null;
}
